Bug 112816 - Blank screen after screensaver, cannot resume X session
Blank screen after screensaver, cannot resume X session
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
i686 Linux
high Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-02 14:42 EST by Andrew
Modified: 2010-06-20 09:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 06:58:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86.log (49.22 KB, text/plain)
2004-01-02 14:43 EST, Andrew
no flags Details
XF86Config (3.22 KB, text/plain)
2004-01-02 14:45 EST, Andrew
no flags Details
Xorg config file for HP d220 and HP 7500 monitor (2.74 KB, text/plain)
2004-04-28 14:53 EDT, Andrew
no flags Details

  None (edit)
Description Andrew 2004-01-02 14:42:21 EST
Description of problem:
X Windows is locked using the lock function.  Screensaver starts, then
power management shuts off the display.  Monitor glows, but there is
no graphical output from the video card (as if the entire screen was
black).  

Version-Release number of selected component (if applicable):
XFree86-4.3.0-42
kernel-2.6.0-1.109 
   options are: rhgb video=vesafb:1024x768-16@75,ywrap,mtrr,pmipal
idebus=66

How reproducible:
Every time.

Steps to Reproduce:
1.  Boot to runlevel 5
2.  Login to X and lock the screen.
3.  Wait until the screen blanks.
  
Actual results:
Blank / Black screen.

Expected results:
Xscreensaver should stop and present logon screen to X.

Additional info:
I can SSH to the machine, plus if X is killed from SSH, runlevel 5
restarts on vty8 and the session login screen reappears.  
Ctrl+Alt+F1 to F8 does not work.
Kernel options apm=off, acpi=off, rhgb, video=* makes no difference.
XF86Config disabling DPMS makes no difference.

Note: This does not happen with kernel-2.4.22-1.2115.nptl
Comment 1 Andrew 2004-01-02 14:43:26 EST
Created attachment 96745 [details]
XFree86.log
Comment 2 Andrew 2004-01-02 14:45:03 EST
Created attachment 96746 [details]
XF86Config
Comment 3 Andrew 2004-01-02 14:46:40 EST
Hardware is HP Compaq d220m minitower / Intel 845G chipset.
Comment 4 Andrew 2004-01-05 11:22:32 EST
Interestingly, if I Log Out of my X session to the username prompt,
even though Linux turns the monitor off (powersave mode) I am able to
press a key on the keyboard and log in (X does not crash).  Just
discovered this. 
Comment 5 Andrew 2004-01-08 12:37:18 EST
Seems like kernel-2.6.0-1.118 (2.6.1-rc2) from
http://people.redhat.com/arjanv/2.6 solves the problem, however, I've
lost sound again (which only *just* started working with
kernel-2.6.0-1.109, a.k.a 2.6.1-rc1).
Comment 6 Raghu 2004-02-27 17:33:21 EST
I see the same on my hp box (Intel 865G Chipset Graphics Controller).
I am not sure if this is triggered by power management or some of the
screen savers in Xscreensaver. my dmesg has a lot of lines similar to
the following:

Feb 27 13:02:51 rangadi4 kernel: [drm:i830_wait_ring] *ERROR* space:
130648 wanted 131064
Feb 27 13:02:51 rangadi4 kernel: [drm:i830_wait_ring] *ERROR* lockup
Feb 27 13:02:53 rangadi4 gdm[4358]: gdm_slave_xioerror_handler: Fatal
X error - Restarting :0
Feb 27 13:02:57 rangadi4 kernel: mtrr: base(0xf0020000) is not aligned
on a size(0x800000) boundary
Feb 27 13:02:57 rangadi4 kernel: atkbd.c: Unknown key released
(translated set 2, code 0x7a on isa0060/serio0).
Feb 27 13:02:57 rangadi4 kernel: atkbd.c: This is an XFree86 bug. It
shouldn't access hardware directly.
Feb 27 13:02:57 rangadi4 kernel: atkbd.c: Unknown key released
(translated set 2, code 0x7a on isa0060/serio0).
Feb 27 13:02:57 rangadi4 kernel: atkbd.c: This is an XFree86 bug. It
shouldn't access hardware directly.
Feb 27 13:03:03 rangadi4 kernel: [drm:i830_wait_ring] *ERROR* space:
130648 wanted 131064
Feb 27 13:03:03 rangadi4 kernel: [drm:i830_wait_ring] *ERROR* lockup
Feb 27 13:03:05 rangadi4 gdm[4364]: gdm_slave_xioerror_handler: Fatal
X error - Restarting :0

and so on...

For right now I have turned off screen savers in Xscreensaver and left
the powermanagement on. will check what happens.

Comment 7 Raghu 2004-02-27 17:34:33 EST
Oh btw, mine is Fedora Core 2 Test 1. Not Core 1.
Comment 8 Andrew 2004-04-23 13:33:54 EDT
Still happening with kernel-2.6.5-1.339 from arjanv.  Funny enough,
this does not happen with the kernels available from the Developer FTP
tree, or the production Fedora Core 1 or FC2 Test kernels up to FC2
1.92 (Test 3), only the arjanv kernels.
Going to try kernel-2.6.5-1.327 now...
Comment 9 Andrew 2004-04-26 10:12:35 EDT
No luck with kernel-2.6.5-1.327 either.  Plus, I've tried the
following kernel switches: pci=noacpi, apm=off, acpi=off
Comment 10 Andrew 2004-04-28 14:53:33 EDT
Created attachment 99743 [details]
Xorg config file for HP d220 and HP 7500 monitor
Comment 11 Andrew 2004-04-28 14:55:56 EDT
OK.

Some success, but still not clear why.

"Halftone" screensaver works fine; you are able to activate the
screensaver, press a key and resume the previous X session. So I've
set the screensaver to always be "Halftone" as opposed to the Red Hat
/ Fedora default of "Random" by changing Preferences->Screensaver.

#lspci
00:00.0 Host bridge: Intel Corp. 82845G/GL[Brookdale-G]/GE/PE DRAM
Controller/Host-Hub Interface (rev 03)
00:02.0 VGA compatible controller: Intel Corp.
82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 03)
00:1d.0 USB Controller: Intel Corp. 82801DB (ICH4) USB UHCI #1 (rev 02)
00:1d.1 USB Controller: Intel Corp. 82801DB (ICH4) USB UHCI #2 (rev 02)
00:1d.2 USB Controller: Intel Corp. 82801DB (ICH4) USB UHCI #3 (rev 02)
00:1d.7 USB Controller: Intel Corp. 82801DB (ICH4) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corp. 82801BA/CA/DB/EB/ER Hub interface to
PCI Bridge (rev 82)
00:1f.0 ISA bridge: Intel Corp. 82801DB (ICH4) LPC Bridge (rev 02)
00:1f.1 IDE interface: Intel Corp. 82801DB (ICH4) Ultra ATA 100
Storage Controller (rev 02)
00:1f.3 SMBus: Intel Corp. 82801DB/DBM (ICH4) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB (ICH4) AC'97
Audio Controller (rev 02)
03:0a.0 Ethernet controller: Broadcom Corporation BCM4401 100Base-T
(rev 01)

Currently using kernel-2.6.5-1.339 with no switches and power
management turned on.  Also, note that KDE 3.2.2 is installed as well
as GNOME 2.6 (latest from the Development FTP tree)...
Comment 12 Mike A. Harris 2004-10-12 06:58:52 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.